Skip to Content
avatar image
Former Member

BO Platform 4.2 SP3 Tomcat Version

Hello,

Can anyone tell me the tomcat version blunded in the installation of SAP BO4.2 SP3?

The guides say Tomcat 8.0, but I was asked about the specific version to know if it is newer than 8.0.37, considering the demands of our security team.

Thanks in advance!

Add comment
10|10000 characters needed characters exceeded

  • If your security team has specific version in mind - why don't you use tomcat they want ?
    Its a free download and if the version they need is compatible to BI 4.3 Sp3 - you should use it.
    Web application deployment guide talks on how to deploy to a non-default tomcat.

  • Get RSS Feed

6 Answers

  • Best Answer
    Jan 11, 2017 at 04:23 PM

    It is Server version: Apache Tomcat/8.0.32.

    You'd find it from Tomcat8 version.bat script.

    E:\Program Files (x86)\SAP BusinessObjects\tomcat\bin>version.bat

    Using CATALINA_BASE:"E:\Program Files (x86)\SAP BusinessObjects\tomcat"

    Using CATALINA_HOME:"E:\Program Files (x86)\SAP BusinessObjects\tomcat"

    Using CATALINA_TMPDIR: "E:\Program Files (x86)\SAP BusinessObjects\tomcat\temp"

    Using JRE_HOME:"E:\Program Files (x86)\SAP BusinessObjects\SAP BusinessO

    bjects Enterprise XI 4.0\win64_x64\sapjvm\"

    Using CLASSPATH:"E:\Program Files (x86)\SAP BusinessObjects\tomcat\bin\bootstrap.jar;E:\Program Files (x86)\SAP BusinessObjects\tomcat\bin\tomcat-juli.jar"

    Server version: Apache Tomcat/8.0.32

    Server built:Feb 2 2016 19:34:53 UTC

    Server number:8.0.32.0

    OS Name:Windows Server 2008 R2

    OS Version:6.1

    Architecture:amd64

    JVM Version:8.1.015

    JVM Vendor:SAP AG

    Regards,

    Jin-Chong

    Add comment
    10|10000 characters needed characters exceeded

  • Feb 06, 2017 at 04:17 AM

    Hi Agustin

    You can also refer to the SAP Note: 2112338 - List of Bundled Tomcat and JVM versions shipped with each (support pack) SP of SAP BusinessObjects Business Intelligence 4.0/4.1/4.2 for additional information on the various versions.

    Regards

    Derek

    Add comment
    10|10000 characters needed characters exceeded

  • Jan 11, 2017 at 04:22 PM

    it's Apache Tomcat/8.0.21

    Add comment
    10|10000 characters needed characters exceeded

  • avatar image
    Former Member
    Aug 18, 2017 at 04:59 PM

    It totally depends on the version installed as well as patch levels.

    4.2SP0 was 8.0.21

    4.2SP3 was 8.0.32

    4.2SP3FP6 is 8.0.36

    Patch 8 for SP3 is out as well as SP4 and several patches.

    So you may want to look at the PAM or the release notes to determine what is in the patches.

    If your security team is indicating that they require 8.0.37 or better, I would look at P3.8 or better.

    Most likely SP4 has what you are looking for since they also updated the platform to support a more Fiori style tile layout (user optional) for BI Launch Pad.

    if the package is installed, use the version.bat or version.sh depending on your flavor of OS (Win vs UNIX)

    (SLES 11.3 for SAP solutions shown below with BIP4.2SP3FP6)

    Using CATALINA_BASE: /usr/sap/BIP/sap_bobj/tomcat

    Using CATALINA_HOME: /usr/sap/BIP/sap_bobj/tomcat

    Using CATALINA_TMPDIR: /usr/sap/BIP/sap_bobj/tomcat/temp

    Using JRE_HOME: /usr/sap/BIP/sap_bobj/enterprise_xi40/linux_x64/sapjvm/

    Using CLASSPATH: /usr/sap/BIP/sap_bobj/tomcat/bin/bootstrap.jar:/usr/sap/BIP/sap_bobj/tomcat/bin/tomcat-juli.jar

    Server version: Apache Tomcat/8.0.36

    Server built: Jun 9 2016 13:55:50 UTC

    Server number: 8.0.36.0

    OS Name: Linux

    OS Version: 3.0.101-107-default

    Architecture: amd64 JVM

    Version: 8.1.015 JVM

    Vendor: SAP AG

    Add comment
    10|10000 characters needed characters exceeded

  • avatar image
    Former Member
    May 17 at 07:35 PM

    Hi Calvin

    If your security team is indicating that they require 8.0.37 or better, I would look at P3.8 or better.

    What do you mean by that ? Are you referring to any guide ?

    Thanks

    Arun

    Add comment
    10|10000 characters needed characters exceeded

  • avatar image
    Former Member
    May 17 at 07:37 PM

    Hi Agustin Guillaumet

    How did you upgrade to 8.0.37 ? we have same requirement at my organization. Appreciate your response.

    Thanks

    Arun

    Add comment
    10|10000 characters needed characters exceeded